<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Variables</TITLE>
<link href="builder_11.html" rel=Next>
<link href="builder_9.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_9.html">previous</A>, <A HREF="builder_11.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC25" HREF="builder_toc.html#TOC25">Creating and Using Variables</A></H1>
<P>
<A NAME="IDX68"></A>
<A NAME="IDX69"></A>
<A NAME="IDX70"></A>

</P>
<P>
All builder structures, values, literals and variables are assigned
to <CODE>block</CODE> types. 
These blocks are used to construct more complex expressions, control
flow, etc. The only exception is the builder type system, where the
<CODE>type_node</CODE> is created by the <CODE>parse_type()</CODE> command.
See section <A HREF="builder_31.html#SEC62">Block Operations and Initialization</A> for more details on creating and manipulating
<CODE>block</CODE>s.

</P>

<UL>
<LI><A HREF="builder_11.html#SEC26">Using Constant Values</A>: How to use constants in SUIF code
<LI><A HREF="builder_12.html#SEC27">Using Existing Variables</A>: Using existing SUIF variables
<LI><A HREF="builder_13.html#SEC31">Defining New Variables</A>: How to create new variables
</UL>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_9.html">previous</A>, <A HREF="builder_11.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
